Playlists

Add tracks to a static playlist

POST
https://api.tunio.ai/v1/playlists/{playlist_id}/items

Appends tracks of the caller's library to the end of a static playlist of the account, in the order given. A track appears in the library once its upload (POST /v1/library/uploads) is completed. The same track may be added more than once.

路径参数

名称类型说明
playlist_idRequiredstringPlaylist UUID

请求体

Tracks to append

名称类型说明
track_idsRequiredarray
Tracks of the caller's library to append, in order, 1..100: track_id of completed library uploads.
[item]Requiredstring
-
请求示例
01{
02 "track_ids": [
03 "3f1d2a8e-6b7c-4d5e-9f0a-1b2c3d4e5f60"
04 ]
05}

响应

名称类型说明
addedinteger
Number of entries appended.
successboolean
Always true.
名称类型说明
messagestring
Error code or human-readable error details.
successboolean
Always false for error payloads.
名称类型说明
messagestring
Error code or human-readable error details.
successboolean
Always false for error payloads.
名称类型说明
messagestring
Error code or human-readable error details.
successboolean
Always false for error payloads.
名称类型说明
messagestring
Error code or human-readable error details.
successboolean
Always false for error payloads.
名称类型说明
messagestring
Error code or human-readable error details.
successboolean
Always false for error payloads.